function fCancelar(){
	FrmCls("Dni");
	//---------------------------------------------
	document.getElementById("CmdE").disabled =true;
	document.getElementById("CmdG").value="Guardar";
	document.getElementById("TxtId").value="";
	document.getElementById("TxtAc").value="L";
	//document.getElementById("Frm").submit();
}
//
function Prv_OC(){
	CBO_CLS("Dis",1);
	var dep=gv("Dep");
	var prv=gv("Prv");
	if(jL(dep)>0){
		var dat=AX("FD",dep,prv);
		var r=dat.split("|");
		if(r[1]=="OK"){
			CBO_FILL_EX("Dis",dat,1,3)
		}
	}
}
//
function Dep_OC(){
	CBO_CLS("Prv",1);
	var dep=gv("Dep");
	if(jL(dep)>0){
		var dat=AX("FP",dep);
		var r=dat.split("|");
		if(r[1]=="OK"){
			CBO_FILL_EX("Prv",dat,1,3)
		}
	}
}
//
function fDw(){
	document.getElementById("DivDoc").innerHTML="";
	var id=gv("TxtId");
	if(jVal(id)==0){
		alert("No se puede determinar el ID del registro activo");
	}else{
		var msg=AX("F07",id);
		var dat=msg.split("|");
		if(dat[1]=="MS"){
			alert(dat[2]);
		}else{
			if(dat[1]=="OK"){	
				var cod="mtv07"+"_"+gv("Cod")+".docx";
				var str="<marquee marquee='' direction='left' scrolldelay='15' ";
				str=str+"behavior='slide' truespeed=''>";
				str=str+"<a href='"+dat[2]+"' download='"+cod+"'>DESCARGAR ARCHIVO</a></marquee>";
				document.getElementById("DivDoc").innerHTML=str;
			}else{
				alert("Error de conexion");
			}
		}
	}
}
//
function fDwN(){
	document.getElementById("DivDocN").innerHTML="";
	var id=gv("TxtId");
	if(jVal(id)==0){
		alert("No se puede determinar el ID del registro activo");
	}else{
		var msg=AX("F08",id);
		var dat=msg.split("|");
		if(dat[1]=="MS"){
			alert(dat[2]);
		}else{
			if(dat[1]=="OK"){	
				var cod="mtv08"+"_"+gv("Cod")+".docx";
				var str="<marquee marquee='' direction='left' scrolldelay='15' ";
				str=str+"behavior='slide' truespeed=''>";
				str=str+"<a href='"+dat[2]+"' download='"+cod+"'>DESCARGAR ARCHIVO</a></marquee>";
				document.getElementById("DivDocN").innerHTML=str;
			}else{
				alert("Error de conexion");
			}
		}
	}
}
//
function flNuevo(){
	SM("L");
}
//
function fGuardar(){
	var cod=gv("Cod");
	var pro=gv("Pro");
	var fec=gv("Fec");	
	var hor=gv("Hor");	
	var win=gv("Min");
	var dep=gv("Dep");
	var prv=gv("Prv");
	var dis=gv("Dis");	
	var pte=gv("Pte");	
	var dir=gv("Dir");
	var dno=gv("Dno");
	var dap=gv("Dap");
	var dam=gv("Dam");	
	var ddn=gv("Ddn");
	var cno=gv("Cno");
	var cap=gv("Cap");
	var cap=gv("Cap");
	
	var cdn=gv("Cdn");	
	var dsn=gv("Dsn");
	var sen=gv("Sen");
	var utx=gv("Utx");
	var uty=gv("Uty");	
	var rdn=gv("Rdn");
	var rdd=gv("Rdd");	
	var rgn=gv("Rgn");
	var rgd=gv("Rgd");
	var rgt=gv("Rgt");	
	//
	if(jVac(pro,"Seleccione un proceso","Pro"))return;
	if(jVac(fec,"Ingrese la fecha","Fec"))return;	
	if(jVac(hor,"Ingrese una hora","Hor"))return;	
	if(jVac(dis,"Ingrese el distrito","Dis"))return;	
	if(jVac(prv,"Ingrese la provincia","Prv"))return;	
	if(jVac(dep,"Ingrese el departamento","Dep"))return;	
	if(jVac(pte,"Determine el tipo de vivienda","Pte"))return;
	//
	if(gv("CmdG")=="Guardar"){
		if(pre("Esta seguro que desea guardar")){
			SM("G");
		}
	}else{
		if(pre("Esta seguro que desea modificar")){
			SM("M");
		}
	}
}
